petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetHessianRoutine

Sets the function to compute the Hessian as well as the location to store the matrix.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetHessianRoutine(Tao tao, Mat H, Mat Hpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat, void*), void *ctx)

Logically collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| H | - Matrix used for the hessian Many br
| Hpre | - Matrix that will be used operated on by preconditioner, can be same as H Many br
| hess | - Hessian evaluation routine Many br
| ctx | - [optional] user-defined context for private data for the Many brHessian evaluation routine (may be NULL) Many br

### Calling sequence of hess

       hess (Tao tao,Vec x,Mat H,Mat Hpre,void *ctx);

| tao | - the Tao context Many br
| x | - input vector Many br
| H | - Hessian matrix Many br
| Hpre | - preconditioner matrix, usually the same as H Many br
| ctx | - [optional] user-defined Hessian context Many br

Many br

Level:beginner
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/jbearing2.c.html